#ifndef _LIGOSTD_H
#define _LIGOSTD_H

#ifdef __cplusplus
extern "C" {
#endif

/*----------------------------------------------------------------------*
 *                        LIGO Peak-Trough Monitor                      *
 *									*
 *	ligostd.h - Standards and constants definition for project	*
 *----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*
 *   Adapted from the Golbal Diagnostic Seismic Network standards:      *
 *	Albuquerque Seismological Laboratory - USGS - US Dept of Inter	*
 *----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*
 *	Modification and history 					*
 *									*
 *-----Edit---Date----Who-------Description of changes------------------*
 *	001 24-Apr-86 SH	Set up standards file			*
 *	002  9-Jul-86 SH	Add mfree to free for unix29		*
 *	003 22-Dec-86 SH	Tailor VMS definitions 			*
 *      004 10-Apr-02 NZ        Adapted to LIGO unix system             *
 *----------------------------------------------------------------------*/

/*-----------------------Determine System Dependancies------------------*/
/*------------------------Use ANSI C Standards--------------------------*/

#include <stdio.h>
                		/* Ints and pointers are 32 bit */
#define UNSGND unsigned		/* Non-Ints can be specified as unsigned */
#define VOID void		/* For functions which return nothing */
#define STDFLT float		/* Standard floating, 32-bit */

/*--------------------------Define Data types------------------------------*/

#define BOOL UNSGND char	/* Flag quantities */
#define TEXT UNSGND char	/* For character strings */

	/*---------------------------------------------------*
	 *			8-Bit	16-Bit	32-Bit	     *
	 *	Numbers:	BYTE	WORD	LONG	     *
	 *	Unsigned:	UBYTE	UWORD	ULONG	     *
	 *---------------------------------------------------*/

/*	8-Bit quantities	*/

#define UBYTE UNSGND char	/* An 8-Bit definition */
#define BYTE char		/* Numeric 8-bit definition */

/*	16-Bit quantities	*/

#define UWORD UNSGND short	/* 16 bit unsigned */
#define WORD short		/* 16 bit numeric quantity */

/*	32-Bit quantities	*/

#define ULONG unsigned int	/* Definition of a 32 bit mask */
#define LONG int		/* A 32 bit number */

#define DSKREC ULONG		/* Pointer to a disk record */ 

/*--------------Define some macros and contants we will use-----------------*/

#define FOREVER for(;;)		/* Infinite loop	*/

#ifndef NULL
#define NULL	(0)		/* Impossible pointer	*/
#endif
#define TRUE	1		/* if (TRUE)		*/
#define FALSE	0		/* if (!TRUE)		*/
#define EOS	'\0'		/* End of string	*/

#define IUBYTE(x) (((WORD) x)&0xFF)

/*-------------------Include code for local, cultural events-----------------*/

/* #define LOCAL_EV  */
/*--- This sets ALL values in twosd buffer to maximum P-T from an event! */

#ifdef __cplusplus
}
#endif

#endif  // _LIGOSTD_H
